1. Orders
Printags Public
  • Accounts
    • Get current account
      GET
    • Get an account by ID
      GET
  • Orders
    • Find orders
      GET
    • Get an order by ID
      GET
    • Create a new order
      POST
    • Validate an order
      POST
  • Files
    • Upload a file
      POST
    • Get a file by ID
      GET
  • Statuses
    • Get all statuses
      GET
  • Schemas
    • Account
    • Address
    • Customer
    • Model
    • Product
    • ProductGroup
    • SubscriptionPlan
    • Shipping
    • Order
    • NFC
  1. Orders

Validate an order

POST
/accounts/{accountId}/orders/{orderId}/validate
Validates an order based on the order ID.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Order validated successfully
Body

🟠400
🟠401
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/accounts//orders//validate' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "prices": {
        "products": [
            {
                "index": 0,
                "quantity": 10,
                "modelId": "ntag424_pvccard_white",
                "unit_charges": {
                    "encoding": 0.5,
                    "model": 0.5,
                    "printing": 0.1,
                    "packaging": 0.2,
                    "recordOptions": 0.3
                },
                "charges": {
                    "encoding": 5,
                    "model": 5,
                    "printing": 1,
                    "packaging": 2,
                    "recordOptions": 3
                },
                "price": 4.49,
                "unit_price": 4.49
            }
        ],
        "shipping": {
            "transporter": "default",
            "price": 5.99
        },
        "total": 50.99
    }
}
Modified at 2026-04-02 11:43:40
Previous
Create a new order
Next
Upload a file
Built with